Skip to content

Get modality

Request

Returns a single Modality by its unique identifier.

Security
bearer
Path
siteIdnumberrequired

Site identifier

modalityIdstringrequired

Modality unique identifier (UUID)

curl -i -X GET \
  'https://docs.axiomera.com/_mock/apis/animal-health/openapi/site/{siteId}/ahds/v1/modality/{modalityId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Modality found

Bodyapplication/json
codestringrequired

Practice- or system-specific code for the modality (e.g., 'XR', 'US').

Example:"CODE-001"
descriptionstring or nullrequired

Optional description of the modality.

Example:"Example description"
extensionsobjectrequired

Vendor- or practice-specific extension fields.

isActivebooleanrequired

Indicates whether this modality is active and can be used.

Example:true
modalityIdstringrequired

Canonical unique identifier for the modality.

Example:"123e4567-e89b-12d3-a456-426614174000"
namestringrequired

Human-readable name of the modality.

Example:"Example Name"
Response
{ "code": "CODE-001", "description": "Example description", "extensions": {}, "isActive": true, "modalityId": "123e4567-e89b-12d3-a456-426614174000", "name": "Example Name" }